Subject: Re: cygintl-8.dll was not found
From: wefwef wefwef <[email-masked]>
To: [email-masked]
Date: Mon, 5 Apr 2010 18:33:25 +0300
List-Id: <cygwin.cygwin.com>

On Mon, Apr 5, 2010 at 6:35 PM, Dave Korn
<[email-masked]> wrote:
> On 05/04/2010 16:04, wefwef wefwef wrote:
>
>>> On 05/04/2010 15:40, wefwef wefwef wrote:
>
>>>> The cygwin setup program has some obvious gui design flaws - a two
>>>> year old can see that. It is a disaster from a usability point of
>>>> view.
>
>> Refer to my earlier mail for the full details of what's wrong with the
>> gui. To accuse me of being in a bad mood because I point out something
>> that is blatant and obvious is ridiculous.
>
>  I did.  You suggested renaming a couple of things and changing around a
> couple of buttons: a couple of trivial tweaks that do not remotely justify the
> term "disaster".  In your own words: "minor cosmetic changes".

Why do you assume that the difficulty of the fix has any relational to
the scope of the disaster. Most of the problems in the gui are trivial
to fix, that doesn't make it any less of a disaster.

>
>  You also proposed adding a feature it already has, a column telling you
> whether a package is already installed or not.  This tells me that you are not
> calmly and dispassionately observing what is in front of your eyes.
It doesn't have a column dedicated for this purpose, that column is
used also to instruct the installer what to do.

>
>> That wasn't my main problem, I just pointed it out as a rather
>> undesirable flaw in the installer. I mean, it's a function of the
>> installer to be able to download a set of packages,
>
>  No it isn't.  It is not intended as a generic downloader.  It is intended
> and designed to download just those packages that are necessary to update any
> existing Cygwin installation.

If that's the case, then why does it offer to save packages without
installing - it obviously was intended as a way of downloading and
installing later. The fact is that the obvious way it should work, is
to get the current settings from the directory you are downloading to.
It's another example of a trivial change that can make a world of
difference, but will never be done because you lack imagination in how
minor changes can make big difference.

>
>> but for that to
>> actually work properly, you have to rename or remove your existing
>> installation. Seems a bit slapdash to me.
>
>  "Slapdash" here is just a pejorative euphemism for "not what I expected".
> You have to rid yourself of these arbitrary assumptions that are clouding your
> thinking.
Yes, you're right, I didn't expect things to be that bad, but I've
lowered my expectations, and will expect poor quality as standard in
the future.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple